# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CLI.pm) perl(CPAN.pm) perl(CPAN/Uploader.pm) perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTML/Strip.pm) perl(IO/Pager.pm) perl(JSON.pm) perl(JSON/XS.pm) perl(LWP/Protocol/https.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Net/GitHub.pm) perl(Parse/CPAN/Meta.pm) perl(Scope/Guard.pm) perl(Term/ANSIColor.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/Wrap.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(XML/Atom/Feed.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_name App-gh
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.66
Release: alt1
Summary: An apt-like Github utility.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORNELIUS/%{module_name}-%{version}.tar.gz
Patch: App-gh-0.66-no-upload.patch
BuildArch: noarch

%description
list all repository of c9s:

    $ gh list c9s

clone Plack repository from miyagawa:

    $ gh clone miyagawa/Plack   # default: read-only

or:

    $ gh clone miyagawa Plack

    $ gh clone gugod Social --http

    $ gh clone clkao Web-Hippie --ro

clone from read-only uri:

    $ gh clone miyagawa/Plack --ro

clone from ssh uri:

    $ gh clone miyagawa/Plack --ssh

search repository:

    $ gh search Plack

to clone all repository of miyagawa:

    $ gh all miyagawa
    $ gh all clkao --ro  # read-only
    $ gh all clkao --into path/to/clkao

to fork project:

    $ cd AnyMQ
    $ gh fork clkao

to fork current project:

    $ cd miyagawa/Tatsumaki
    $ gh fork

to show pull requests of the project:

    $ cd tokuhirom/Amon
    $ gh pullreq list

and show the pull request

    $ cd gfx/p5-Text-Xslate
    $ gh pullreq show 3

if you want to send pull request about current branch:

    $ cd yappo/p5-AnySan
    $ git checkout -b experimental
    $ vi lib/AnySan.pm
    $ git commit -m "bug fix about ..."
    $ gh pullreq send

to show issues of the project:

    $ cd mattn/p5-Growl-Any
    $ gh issue list

and show the issue

    $ cd mattn/p5-Growl-GNTP
    $ gh issue show 3

if you want to create issue:

    $ cd mattn/p5-Growl-GNTP
    $ gh issue edit

or edit issue

    $ gh issue edit 3

and comment to the issue

    $ gh issue comment 3

%prep
%setup -q -n %{module_name}-%{version}
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO.md Changes README.mkd
%_bindir/*
%perl_vendor_privlib/A*

%changelog
* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.66-alt1
- initial import by package builder

